searchData={"items":[{"type":"extras","title":"Raspberry Pi 4 Model B (64-bit)","doc":"# Raspberry Pi 4 Model B (64-bit)\n\n[![CircleCI](https://circleci.com/gh/nerves-project/nerves_system_rpi4.svg?style=svg)](https://circleci.com/gh/nerves-project/nerves_system_rpi4)\n[![Hex version](https://img.shields.io/hexpm/v/nerves_system_rpi4.svg \"Hex version\")](https://hex.pm/packages/nerves_system_rpi4)\n\nThis is the base Nerves System configuration for the Raspberry Pi 4 Model B.\n\n![Raspberry Pi 4 image](assets/images/raspberry-pi-4-model-b.jpg)\n  [Michael Henzler / Wikimedia Commons / CC BY-SA\n4.0](https://en.wikipedia.org/wiki/File:Raspberry_Pi_4_Model_B_-_Top.jpg) \n\n| Feature              | Description                      |\n| -------------------- | -------------------------------- |\n| CPU                  | 1.5 GHz quad-core Cortex-A72 (64-bit mode) |\n| Memory               | 1 GB, 2 GB, 4 GB DRAM            |\n| Storage              | MicroSD                          |\n| Linux kernel         | 6.1 w/ Raspberry Pi patches      |\n| IEx terminal         | HDMI and USB keyboard (can be changed to UART) |\n| GPIO, I2C, SPI       | Yes - [Elixir Circuits](https://github.com/elixir-circuits) |\n| ADC                  | No                               |\n| PWM                  | Yes, but no Elixir support       |\n| UART                 | 1 available - `ttyS0`            |\n| Display              | HDMI or 7\" RPi Touchscreen       |\n| Camera               | Official RPi Cameras (libcamera) |\n| Ethernet             | Yes                              |\n| WiFi                 | Yes - VintageNet                 |\n| Bluetooth            | Untested                         |\n| Audio                | HDMI/Stereo out                  |","ref":"readme.html"},{"type":"extras","title":"Using - Raspberry Pi 4 Model B (64-bit)","doc":"The most common way of using this Nerves System is create a project with `mix\nnerves.new` and to export `MIX_TARGET=rpi4`. See the [Getting started\nguide](https://hexdocs.pm/nerves/getting-started.html#creating-a-new-nerves-app)\nfor more information.\n\nIf you need custom modifications to this system for your device, clone this\nrepository and update as described in [Making custom\nsystems](https://hexdocs.pm/nerves/customizing-systems.html).","ref":"readme.html#using"},{"type":"extras","title":"Supported WiFi devices - Raspberry Pi 4 Model B (64-bit)","doc":"The base image includes drivers for the onboard Raspberry Pi 4 wifi module\n(`brcmfmac` driver).","ref":"readme.html#supported-wifi-devices"},{"type":"extras","title":"Camera - Raspberry Pi 4 Model B (64-bit)","doc":"This system supports the official Raspberry Pi camera modules via\n[`libcamera`](https://libcamera.org/). The `libcamera` applications are included so it's\npossible to replicate many of the examples in the official [Raspberry Pi Camera\nDocumentation](https://www.raspberrypi.com/documentation/computers/camera_software.html).\n\nHere's an example commandline to run:\n\n```elixir\ncmd(\"libcamera-jpeg -n -v -o /data/test.jpeg\")\n```\n\nOn success, you'll get an image in `/data` that you can copy off with `sftp`.\n\nSince `libcamera` is being used instead of MMAL, the Elixir\n[picam](https://hex.pm/packages/picam) library won't work.","ref":"readme.html#camera"},{"type":"extras","title":"Audio - Raspberry Pi 4 Model B (64-bit)","doc":"The Raspberry Pi has many options for audio output. This system supports the\nHDMI and stereo audio jack output. The Linux ALSA drivers are used for audio\noutput.\n\nThe general Raspberry Pi audio documentation mostly applies to Nerves. For\nexample, to force audio out the HDMI port, run:\n\n```elixir\ncmd(\"amixer cset numid=3 2\")\n```\n\nChange the last argument to `amixer` to `1` to output to the stereo output jack.","ref":"readme.html#audio"},{"type":"extras","title":"Provisioning devices - Raspberry Pi 4 Model B (64-bit)","doc":"This system supports storing provisioning information in a small key-value store\noutside of any filesystem. Provisioning is an optional step and reasonable\ndefaults are provided if this is missing.\n\nProvisioning information can be queried using the Nerves.Runtime KV store's\n[`Nerves.Runtime.KV.get/1`](https://hexdocs.pm/nerves_runtime/Nerves.Runtime.KV.html#get/1)\nfunction.\n\nKeys used by this system are:\n\nKey                    | Example Value     | Description\n:--------------------- | :---------------- | :----------\n`nerves_serial_number` | `\"12345678\"`      | By default, this string is used to create unique hostnames and Erlang node names. If unset, it defaults to part of the Raspberry Pi's device ID.\n\nThe normal procedure would be to set these keys once in manufacturing or before\ndeployment and then leave them alone.\n\nFor example, to provision a serial number on a running device, run the following\nand reboot:\n\n```elixir\niex> cmd(\"fw_setenv nerves_serial_number 12345678\")\n```\n\nThis system supports setting the serial number offline. To do this, set the\n`NERVES_SERIAL_NUMBER` environment variable when burning the firmware. If you're\nprogramming MicroSD cards using `fwup`, the commandline is:\n\n```sh\nsudo NERVES_SERIAL_NUMBER=12345678 fwup path_to_firmware.fw\n```\n\nSerial numbers are stored on the MicroSD card so if the MicroSD card is\nreplaced, the serial number will need to be reprogrammed. The numbers are stored\nin a U-boot environment block. This is a special region that is separate from\nthe application partition so reformatting the application partition will not\nlose the serial number or any other data stored in this block.\n\nAdditional key value pairs can be provisioned by overriding the default\nprovisioning.conf file location by setting the environment variable\n`NERVES_PROVISIONING=/path/to/provisioning.conf`. The default provisioning.conf\nwill set the `nerves_serial_number`, if you override the location to this file,\nyou will be responsible for setting this yourself.","ref":"readme.html#provisioning-devices"},{"type":"extras","title":"Linux kernel and RPi firmware/userland - Raspberry Pi 4 Model B (64-bit)","doc":"There's a subtle coupling between the `nerves_system_br` version and the Linux\nkernel version used here. `nerves_system_br` provides the versions of\n`rpi-userland` and `rpi-firmware` that get installed. I prefer to match them to\nthe Linux kernel to avoid any issues. Unfortunately, none of these are tagged by\nthe Raspberry Pi Foundation so I either attempt to match what's in Raspbian or\ntake versions of the repositories that have similar commit times.","ref":"readme.html#linux-kernel-and-rpi-firmware-userland"},{"type":"extras","title":"Linux kernel configuration - Raspberry Pi 4 Model B (64-bit)","doc":"The Linux kernel compiled for Nerves is a stripped down version of the default\nRaspberry Pi Linux kernel. This is done to remove unnecessary features, select\nsome Nerves-specific features like F2FS and SquashFS support, and to save space.","ref":"readme.html#linux-kernel-configuration"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThis project does NOT follow semantic versioning. The version increases as\nfollows:\n\n1. Major version updates are breaking updates to the build infrastructure.\n   These should be very rare.\n2. Minor version updates are made for every major Buildroot release. This\n   may also include Erlang/OTP and Linux kernel updates. These are made four\n   times a year shortly after the Buildroot releases.\n3. Patch version updates are made for Buildroot minor releases, Erlang/OTP\n   releases, and Linux kernel updates. They're also made to fix bugs and add\n   features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"v1.28.0 - Changelog","doc":"This is a major Erlang and Buildroot.\n\nPlease see the [nerves_system_br v1.28.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.0)\nfor upgrade instructions if you've forked this system.\n\n* Changes\n  * Elixir 1.17 and Erlang/OTP 27 support\n  * Reduce copy/pasted definitions in the `fwup.conf` by extracting them to\n    `fwup_include/fwup-common.conf`. (No functional changes)\n\n* Fixes\n  * The serial numbers returned by `Nerves.Runtime.serial_number/0` now contain\n    the whole serial number. If you forked this system, check the\n    `boardid.config` and `erlinit.config` for the changes and to keep the\n    hostname the same.\n\n* Updated dependencies\n  * Linux 6.6.31 (Raspberry Pi stable_20240529 release)\n  * [nerves_system_br v1.28.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.1)\n  * [Buildroot 2024.05](https://lore.kernel.org/buildroot/87bk46tjk2.fsf@dell.be.48ers.dk/T/)\n  * [Erlang/OTP 27.0](https://erlang.org/download/OTP-27.0.README)","ref":"changelog.html#v1-28-0"},{"type":"extras","title":"v1.27.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Changes\n  * Enable the `wpa_supplicant` option for allow wired 802.1x authentication\n\n* Package updates\n  * [Erlang/OTP 26.2.5](https://erlang.org/download/OTP-26.2.5.README)\n  * [Buildroot 2024.02.1](https://lore.kernel.org/buildroot/87jzlp9u5e.fsf@48ers.dk/T/)","ref":"changelog.html#v1-27-1"},{"type":"extras","title":"v1.27.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.27.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.0)\nfor upgrade instructions if you've forked this system.\n\n* Changes\n  * The `libcamera` and `rpicam_apps` packages have been replaced with the\n    Raspberry Pi-forked versions for better compatibility. Please see\n    `nerves_system_br` release notes.\n  * Add back `CONFIG_RASPBERRYPI_GPIOMEM` to support the `dht` library.\n\n* Updated dependencies\n  * [nerves_system_br v1.27.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.27.0)\n  * [Buildroot 2024.02](https://lore.kernel.org/buildroot/87msrczp4z.fsf@48ers.dk/)\n  * [Erlang/OTP 26.2.3](https://erlang.org/download/OTP-26.2.3.README)","ref":"changelog.html#v1-27-0"},{"type":"extras","title":"v1.26.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.26.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.0)\nfor upgrade instructions if you've forked this system.\n\n* New features\n  * Add the imx296 overlays for the Raspberry Pi Global Shutter Camera\n\n* Updated dependencies\n  * [Erlang/OTP 26.2.2](https://erlang.org/download/OTP-26.2.2.README)\n  * [nerves_system_br v1.26.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.1)\n  * [Buildroot 2023.11.1](https://lore.kernel.org/buildroot/87cyu2k2gu.fsf@48ers.dk/T/)","ref":"changelog.html#v1-26-0"},{"type":"extras","title":"v1.25.1 - Changelog","doc":"This is a security/bug fix update.\n\n Package updates\n  * [Erlang/OTP 26.2.1](https://erlang.org/download/OTP-26.2.1.README)\n  * [nerves_heart 2.3.0](https://github.com/nerves-project/nerves_heart/releases/tag/v2.3.0)","ref":"changelog.html#v1-25-1"},{"type":"extras","title":"v1.25.0 - Changelog","doc":"This is a major Buildroot and toolchain update that also adds support for using\nScenic without customizing the system.\n\nPlease see [nerves_system_br v1.25.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.25.0)\nfor upgrade instructions if you've forked this system.\n\n* New features\n  * Add libcairo for [Scenic](https://github.com/ScenicFramework/scenic) support\n\n* Updated dependencies\n  * [nerves_system_br v1.25.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.25.2)\n  * [Buildroot 2023.08.4](https://lore.kernel.org/buildroot/87o7f6t7fs.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.1.2](https://erlang.org/download/OTP-26.1.2.README)","ref":"changelog.html#v1-25-0"},{"type":"extras","title":"v1.24.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Package updates\n  * [nerves_system_br v1.24.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.1)\n  * [Erlang/OTP 26.1.1](https://erlang.org/download/OTP-26.1.1.README)\n  * [Buildroot 2023.05.3](https://lore.kernel.org/buildroot/87h6ngup34.fsf@48ers.dk/T/)","ref":"changelog.html#v1-24-1"},{"type":"extras","title":"v1.24.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade from v1.23.2.\n\n* New features\n  * Support factory reset, preventing firmware reverts. See [Nerves.Runtime.FwupOps](https://hexdocs.pm/nerves_runtime/Nerves.Runtime.FwupOps.html)\n\n* Updated dependencies\n  * [nerves_system_br v1.24.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.0)\n  * [Buildroot 2023.05.2](https://lore.kernel.org/buildroot/87ledrkrpp.fsf@48ers.dk/T/), [2023.05.1](https://lore.kernel.org/buildroot/87351m8qm4.fsf@48ers.dk/T/), [2023.05](https://lore.kernel.org/buildroot/87r0qn2c77.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.1](https://erlang.org/download/OTP-26.1.README)","ref":"changelog.html#v1-24-0"},{"type":"extras","title":"v1.23.2 - Changelog","doc":"* Fixes\n  * This fixes a rare aarch64 Erlang JIT bug that affects NervesKey users. See\n    `nerves_system_br` notes.\n\n* Updated dependencies\n  * [nerves_system_br v1.23.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.3)","ref":"changelog.html#v1-23-2"},{"type":"extras","title":"v1.23.1 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Fixes\n  * Fix CTRL+R over ssh\n\n* Updated dependencies\n  * [nerves_system_br v1.23.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.2)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87y1je6wva.fsf@48ers.dk/T/)","ref":"changelog.html#v1-23-1"},{"type":"extras","title":"v1.23.0 - Changelog","doc":"This is a major update that brings in Erlang/OTP 26, Buildroot 2023.02.2, Linux\n6.1, and Raspberry Pi firmware updates.\n\n* New features\n  * The Raspberry Pi cameras now work with libcamera. The libcamera apps are\n    included. See the [Raspberry Pi Camera docs](https://www.raspberrypi.com/documentation/computers/camera_software.html).\n  * CA certificates are included for OTP 26.\n\n* Changes\n  * The `start.elf` and `fixup.dat` files were renamed to `start4.elf` and\n    `fixup4.dat` to be more consistent with the RaspberryPi OS naming.\n\n* Updated dependencies\n  * [nerves_system_br v1.23.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.1)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87wn03ifbl.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.0.2](https://erlang.org/download/OTP-26.0.2.README)\n  * Linux 6.1.21 (Raspberry Pi Linux tag 1.20230405)","ref":"changelog.html#v1-23-0"},{"type":"extras","title":"v1.22.2 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade from\nv1.22.1.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.5)\n  * [Buildroot 2022.11.3](https://lore.kernel.org/buildroot/878rfuxbxx.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v1-22-2"},{"type":"extras","title":"v1.22.1 - Changelog","doc":"This is a bug fix and Erlang version bump from 25.2 to 25.2.3. It should be a\nlow risk upgrade from v1.22.0.\n\n* Fixes\n  * Set Erlang crash dump timer to 5 seconds, so if an Erlang crash dump does\n    happen, it will run for at most 5 seconds. See erlinit.conf.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.3)\n  * [Buildroot 2022.11.1](https://lore.kernel.org/buildroot/87ilh4dvax.fsf@dell.be.48ers.dk/T/#u)","ref":"changelog.html#v1-22-1"},{"type":"extras","title":"v1.22.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade from v1.21.2.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.1)\n  * [Buildroot 2022.11](http://lists.busybox.net/pipermail/buildroot/2022-December/656980.html)\n  * GCC 12.2","ref":"changelog.html#v1-22-0"},{"type":"extras","title":"v1.21.2 - Changelog","doc":"* Changes\n  * Two Buildroot patch updates and an Erlang minor version update\n  * Nerves Heart v2.0 is now included. Nerves Heart connects the Erlang runtime\n    to a hardware watchdog. v2.0 has numerous updates to improve information\n    that you can get and also has more safeguards to avoid conditions that could\n    cause a device to hang forever.\n\n* Updated dependencies\n  * linux 5.15.78 (RPi 1.20221104)\n  * [nerves_system_br v1.21.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.6)\n  * [Erlang/OTP 25.2](https://erlang.org/download/OTP-25.2.README)\n  * [Buildroot 2022.08.3](https://lore.kernel.org/buildroot/87r0x7z5cw.fsf@dell.be.48ers.dk/T/#u)\n  * [nerves_heart v2.0.2](https://github.com/nerves-project/nerves_heart/releases/tag/v2.0.2)","ref":"changelog.html#v1-21-2"},{"type":"extras","title":"v1.21.1 - Changelog","doc":"* Changes\n  * Fix regression when building on x86_64 Linux where wrong toolchain was used.\n  * Reduce first-time Linux kernel download by using tarball source\n\n* Updated dependencies\n  * [nerves_system_br v1.21.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.2)\n  * [Erlang/OTP 25.1.2](https://erlang.org/download/OTP-25.1.2.README)","ref":"changelog.html#v1-21-1"},{"type":"extras","title":"v1.21.0 - Changelog","doc":"This release includes a major change to the display drivers by switching to the\nfull KMS drivers. Raspberry Pi OS has been using these and they appear to be a\nbig improvement over the fake KMS ones. This might cause some application\nchanges or updates if you're using the display.\n\n* Changes\n  * Switch from using the fake KMS to full KMS device drivers for using the\n    display. See [PR #155](https://github.com/nerves-project/nerves_system_rpi4/pull/155).\n  * Support aarch64 Linux builds\n  * Add libdtc to support runtime loading of device tree overlays\n\n* Updated dependencies\n  * [nerves_system_br v1.21.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.1)\n    and also see [nerves_system_br v1.21.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.0)\n  * [Buildroot 2022.08.1](http://lists.busybox.net/pipermail/buildroot/2022-October/652816.html)\n  * [Erlang/OTP 25.1.1](https://erlang.org/download/OTP-25.1.1.README)","ref":"changelog.html#v1-21-0"},{"type":"extras","title":"v1.20.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.6)\n  * [Erlang/OTP 25.0.4](https://erlang.org/download/OTP-25.0.4.README)\n  * [Buildroot 2022.05.2](http://lists.busybox.net/pipermail/buildroot/2022-August/650546.html)\n  * Also see [Buildroot 2022.05.1 changes](http://lists.busybox.net/pipermail/buildroot/2022-July/647814.html)","ref":"changelog.html#v1-20-2"},{"type":"extras","title":"v1.20.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.4)\n  * [Erlang/OTP 25.0.3](https://erlang.org/download/OTP-25.0.3.README)","ref":"changelog.html#v1-20-1"},{"type":"extras","title":"v1.20.0 - Changelog","doc":"This release updates to Buildroot 2022.05, Linux 5.15.32 (from Linux 5.10) and\nuses GCC 11.3 (from GCC 10.3). The Linux kernel upgrade could introduce a\nregression, so please verify hardware-specific functionality in your firmware.\n\nIf you have cloned this repository for a custom system, please make sure that\nyou have `CONFIG_NOP_USB_XCEIV=y` in your Linux kernel configuration.\n\n* Updated dependencies\n  * [nerves_system_br v1.20.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.3)\n  * [Buildroot 2022.05](http://lists.busybox.net/pipermail/buildroot/2022-June/644349.html)\n  * [Erlang/OTP 25.0.2](https://erlang.org/download/OTP-25.0.2.README)","ref":"changelog.html#v1-20-0"},{"type":"extras","title":"v1.19.0 - Changelog","doc":"This release updates to Buildroot 2022.02.1 and OTP 25.0. While this should be\nan easy update for most projects, many programs have been updated. Please review\nthe changes in the updated dependencies for details.\n\nThe OTP 25 JIT starts by default with this release.\n\n* Updated dependencies\n  * [nerves_system_br v1.19.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.19.0)\n  * [Buildroot 2022.02.1](http://lists.busybox.net/pipermail/buildroot/2022-April/640712.html). Also see [Buildroot 2022.02](http://lists.busybox.net/pipermail/buildroot/2022-March/638160.html)\n  * [Erlang/OTP 25.0](https://erlang.org/download/OTP-25.0.README)","ref":"changelog.html#v1-19-0"},{"type":"extras","title":"v1.18.4 - Changelog","doc":"This release bumps Erlang to 24.3.2 and should be a low risk upgrade from the\nprevious release.\n\n* Changes\n  * Pull in upstream Linux SquashFS patch to improve file system performance\n\n* Updated dependencies\n  * [nerves_system_br v1.18.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.6)","ref":"changelog.html#v1-18-4"},{"type":"extras","title":"v1.18.3 - Changelog","doc":"This is a Buildroot and Erlang bug and security fix release. It should be a low\nrisk upgrade from the previous release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.5)\n\n* Changes\n  * Enable Prolific PL2303 USB->Serial driver","ref":"changelog.html#v1-18-3"},{"type":"extras","title":"v1.18.2 - Changelog","doc":"This is a Buildroot and Erlang bug fix release. It should be a low risk upgrade\nfrom the previous release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.4)\n\n* Changes\n  * Specify CPU-specific flags when compiling NIFs and ports. This fixes an\n    issue where some optimizations could not be enabled in NIFs even though it\n    should be possible to have them. E.g., ARM NEON support for CPUs that have\n    it.\n  * Build the Wireguard kernel driver. This is a small device driver that\n    enables a number of VPN-based use cases.","ref":"changelog.html#v1-18-2"},{"type":"extras","title":"v1.18.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.18.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.3)\n\n* Changes\n  * Programs that use OpenMP will run now. The OpenMP shared library\n    (`libgomp.so`) was supplied by the toolchain, but not copied.","ref":"changelog.html#v1-18-1"},{"type":"extras","title":"v1.18.0 - Changelog","doc":"This release updates to Buildroot 2021.11 and OTP 24.2. If you have made a\ncustom system, please review the `nerves_system_br` [release\nnotes](https://github.com/nerves-project/nerves_system_br/blob/v1.18.2/CHANGELOG.md#v1180)\nsince Buildroot 2021.11 changed some Raspberry Pi firmware options.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.2)\n  * [Buildroot 2021.11](http://lists.busybox.net/pipermail/buildroot/2021-December/629911.html)\n  * [Erlang/OTP 24.2](https://erlang.org/download/OTP-24.2.README)\n  * [Raspberry Pi WiFi firmware](https://github.com/RPi-Distro/firmware-nonfree/blob/bullseye/debian/changelog)\n  * Linux 5.10.88 with Raspberry Pi patches\n  * GCC 10.3\n\n* Improvements\n  * Support for the `dl.nerves-project.org` backup site. Due to a GitHub outage\n    in November, there was a 2 day period of failing builds since some packages\n    could not be downloaded. We implemented the backup site to prevent this in\n    the future. This update is in the `nerves_defconfig`.\n  * Use new build ORB on CircleCI. This ORB will shorten build times to fit in\n    CircleCI's new free tier limits. Please update if building your own systems.","ref":"changelog.html#v1-18-0"},{"type":"extras","title":"v1.17.3 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.17.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.4)\n  * [Buildroot 2021.08.2](http://lists.busybox.net/pipermail/buildroot/2021-November/628323.html)\n  * [Erlang/OTP 24.1.7](https://erlang.org/download/OTP-24.1.7.README).","ref":"changelog.html#v1-17-3"},{"type":"extras","title":"v1.17.2 - Changelog","doc":"This release updates the Linux kernel from 5.4 to 5.10 to follow the Raspberry\nPi OS.\n\n* Fixes\n  * Shrink down the artifact size by reducing duplication in DRI libraries. This\n    has no runtime change.\n\n* Updated dependencies\n  * [nerves_system_br v1.17.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.3)\n  * [Erlang/OTP 24.1.4](https://erlang.org/download/OTP-24.1.4.README).\n  * Linux 5.10.63 with Raspberry Pi patches","ref":"changelog.html#v1-17-2"},{"type":"extras","title":"v1.17.1 - Changelog","doc":"This is a security/bug fix patch release. It should be safe to update for\neveryone.\n\n* Updated dependencies\n  * [nerves_system_br v1.17.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.1)\n  * [Buildroot 2021.08.1](http://lists.busybox.net/pipermail/buildroot/2021-October/625642.html)\n  * [Erlang/OTP 24.1.2](https://erlang.org/download/OTP-24.1.2.README)\n\n* Fixes\n  * Fix the sysfs thermal interface driver. It was incorrectly unselected in the\n    Linux kernel options previously.\n\n* Improvements\n  * Include software versioning and licensing info (see legal-info directory in\n    artifact)","ref":"changelog.html#v1-17-1"},{"type":"extras","title":"v1.17.0 - Changelog","doc":"This release updates to Buildroot 2021.08 and OTP 24.1. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.17.0` release\nnotes.\n\n* Updated dependencies\n  * [nerves_system_br v1.17.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.0)\n  * [Buildroot 2021.08](http://lists.busybox.net/pipermail/buildroot/2021-September/622072.html)\n  * [Erlang/OTP 24.1](https://erlang.org/download/OTP-24.1.README)","ref":"changelog.html#v1-17-0"},{"type":"extras","title":"v1.16.3 - Changelog","doc":"* Improvements\n  * Enable USB gadget interface on boot so that the USB-C cable can provide\n    power and networking like the RPi Zero and RPi 3A.","ref":"changelog.html#v1-16-3"},{"type":"extras","title":"v1.16.2 - Changelog","doc":"This release updates Erlang/OTP from 24.0.3 to 24.0.5 and Buildroot from 2021.05\nto 2021.05.1. Both of these are security/bug fix updates. This is expected to be\na safe upgrade from v1.16.1 for all users.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.1)\n  * [Erlang/OTP 24.0.5](https://erlang.org/download/OTP-24.0.5.README)\n\n* Improvements\n  * Beta support for using a `runtime.exs` script for runtime configuration.\n  * Added a `provision` task to the `fwup.config` to enable re-provisioning a\n    MicroSD card without changing its contents.\n  * Adds a default `/etc/sysctl.conf` that enables use of ICMP in Erlang. This\n    requires `nerves_runtime v0.11.5` or later to automatically load the sysctl\n    variables. With it using `:gen_udp` to send/receive ICMP will \"just work\".\n    It also makes it easier to add other sysctl variables if needed.","ref":"changelog.html#v1-16-2"},{"type":"extras","title":"v1.16.1 - Changelog","doc":"This release updates Nerves Toolchains to v1.4.3 and OTP 24.0.3. It should be safe for everyone to apply.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.1)\n  * [Erlang/OTP 24.0.3](https://erlang.org/download/OTP-24.0.3.README)\n  * [nerves toolchains v1.4.3](https://github.com/nerves-project/toolchains/releases/tag/v1.4.3)","ref":"changelog.html#v1-16-1"},{"type":"extras","title":"v1.16.0 - Changelog","doc":"This release updates to Buildroot 2021.05 and OTP 24.0.2. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.16.0` release\nnotes.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.0)\n  * [Buildroot 2021.05](http://lists.busybox.net/pipermail/buildroot/2021-June/311946.html)\n  * [Erlang/OTP 24.0.2](https://erlang.org/download/OTP-24.0.2.README)\n\n* Improvements\n  * This release now contains debug symbols and includes the Build-ID in the\n    ELF headers. This makes it easier to get stack traces from C programs. As\n    before, the Nerves tooling strips all symbols from firmware images, so this\n    won't make programs bigger.\n  * Enable compile-time `wpa_supplicant` options to support WPA3, mesh\n    networking, WPS and autoscan.","ref":"changelog.html#v1-16-0"},{"type":"extras","title":"v1.15.1 - Changelog","doc":"This is a security/bug fix release that updates to Buildroot 2021.02.1 and OTP\n23.3.1. It should be safe for everyone to apply.\n\n* Improvements\n  * Raspberry Pi CM4 support\n  * espeak has been removed from the default install to trim 13 MB off the root\n    filesystem\n\n* Updated dependencies\n  * Linux 5.4.83 - required for CM4 device tree updates\n  * [nerves_system_br v1.15.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.15.1)\n  * [Buildroot 2021.02](http://lists.busybox.net/pipermail/buildroot/2021-April/307970.html)\n  * [Erlang/OTP 23.3.1](https://erlang.org/download/OTP-23.3.1.README)","ref":"changelog.html#v1-15-1"},{"type":"extras","title":"v1.15.0 - Changelog","doc":"This release updates to Buildroot 2021.02 and OTP 23.2.7. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.15.0` release\nnotes.\n\nThe Nerves toolchain has also been updated to v1.4.2. This brings in Linux 4.14\nheaders to enable use of cdev and eBPF. This won't affect most users.\n\n* Updated dependencies\n  * [nerves_system_br v1.15.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.15.0)\n  * [Buildroot 2021.02](http://lists.busybox.net/pipermail/buildroot/2021-March/305168.html)\n  * [Erlang/OTP 23.2.7](https://erlang.org/download/OTP-23.2.7.README)\n  * [nerves toolchains v1.4.2](https://github.com/nerves-project/toolchains/releases/tag/v1.4.2)","ref":"changelog.html#v1-15-0"},{"type":"extras","title":"v1.14.0 - Changelog","doc":"This release updates to Buildroot 2020.11.2, GCC 10.2 and OTP 23.2.4.\n\nWhen migrating custom systems based, please be aware of the following important\nchanges:\n\n* There's a new `getrandom` syscall that is made early in BEAM startup. This has\n  the potential to block the BEAM before Nerves can start `rngd` to provide\n  entropy. We have not seen this issue here, but have updated `erlinit.config`\n  for the time being as a precaution.\n* The GCC 10.2.0 toolchain has a different name that calls out \"nerves\" as the\n  vendor and the naming is now more consistent with other toolchain providers.\n* Experimental support for tooling that requires more information about the\n  target has been added. The initial support focuses on zigler.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.14.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.14.4)\n  * [Buildroot 2020.11.2](http://lists.busybox.net/pipermail/buildroot/2021-January/302574.html)\n  * [Erlang/OTP 23.2.4](https://erlang.org/download/OTP-23.2.4.README)\n  * [Nerves toolchains 1.4.1](https://github.com/nerves-project/toolchains/releases/tag/v1.4.1)","ref":"changelog.html#v1-14-0"},{"type":"extras","title":"v1.13.5 - Changelog","doc":"This release adds missing V3D/VC4 drivers and enables the `vc4-fkms-v3d` device\ntree overlay. This fixes issues found when trying out OpenGLES w/ DRM.","ref":"changelog.html#v1-13-5"},{"type":"extras","title":"v1.13.3 - Changelog","doc":"This releases enables the OpenGL ES drivers so that it's possible to run UI\nlibraries without a custom system. Note that the RPi4 uses the Linux DRM\ninterface rather than MMAL and so it is not compatible with Elixir UI libraries\nthat work on other Raspberry Pis.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.7](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.7)\n  * [Erlang/OTP 23.1.5](https://erlang.org/download/OTP-23.1.5.README)","ref":"changelog.html#v1-13-3"},{"type":"extras","title":"v1.13.2 - Changelog","doc":"This release fixes the following issues found with the switch to 64-bit ARM:\n\n* Circuits.GPIO can't set pullups\n* 5 GHz WiFi is either flaky or doesn't work\n* No GPU drivers\n\nA huge thanks for people in the Nerves community that identified these issues\nand helped verify the fixes.\n\nThis release also includes a patch release update to [Buildroot\n2020.08.2](http://lists.busybox.net/pipermail/buildroot/2020-November/296830.html).\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.5)\n  * [erlinit 1.9.0](https://github.com/nerves-project/erlinit/releases/tag/v1.9.0)","ref":"changelog.html#v1-13-2"},{"type":"extras","title":"v1.13.1 - Changelog","doc":"IMPORTANT: This release runs the RPi4 in 64-bit ARM mode. This change was made\nfor many reasons. See\nhttps://github.com/nerves-project/nerves_system_rpi4/issues/65 for details.\nWhile this is a big change, it is likely that it will not affect your programs\nat all.\n\nThe second change in this release is to bump the Linux kernel to 5.4. This\nfollows the kernel update in the Raspberry Pi OS.\n\nIf you have based a custom system off of this one, please inspect all\nconfiguration files for changes. In particular, WiFi firmware location has\nchanged since the `rpi-wifi-firmware` package went out of date. Git commit\nmessages on the `nerves_system_rpi4` repository may also be helpful.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.4)\n  * [Erlang/OTP 23.1.4](https://erlang.org/download/OTP-23.1.4.README)\n  * [boardid 1.10.0](https://github.com/nerves-project/boardid/releases/tag/v1.10.0)\n\n* Improvements\n  * Enabled reproducible builds in Buildroot to remove some timestamp and build\n    path differences in firmware images. This helps delta firmware updates.\n  * The memory cgroup controller is no longer enabled by default. This was an\n    upstream change. As a result, the memory cgroup directory is no longer\n    mounted.","ref":"changelog.html#v1-13-1"},{"type":"extras","title":"v1.13.0 - Changelog","doc":"This release updates to [Buildroot\n2020.08](http://lists.busybox.net/pipermail/buildroot/2020-September/290797.html) and OTP 23.1.1.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.2)\n  * [Erlang/OTP 23.1.1](https://erlang.org/download/OTP-23.1.1.README)\n  * [erlinit 1.8.0](https://github.com/nerves-project/erlinit/releases/tag/v1.8.0)\n  * [nerves 1.7.0](https://github.com/nerves-project/nerves/releases/tag/v1.7.0)\n\n* New features\n  * Added support for updating the root filesystem using firmware patches.\n    See the [firmware patch docs](https://hexdocs.pm/nerves/experimental-features.html#content) for more information.","ref":"changelog.html#v1-13-0"},{"type":"extras","title":"v1.12.2 - Changelog","doc":"This release updates to [Buildroot\n2020.05.1](http://lists.busybox.net/pipermail/buildroot/2020-July/287824.html)\nand OTP 23.0.3 which are both bug fix releases.\n\nIMPORTANT: If you have made a custom `fwup.conf` file, then you'll need to\nreplace references to `start4.elf` with `start.elf` and references to\n`fixup4.dat` with `fixup.dat`. See [commit\ne21ad76](https://github.com/nerves-project/nerves_system_rpi4/commit/e21ad76b817583f44afc31935581f7df00aabb35)\nfor how this change was made here.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.12.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.12.4)\n  * [Erlang/OTP 23.0.3](https://erlang.org/download/OTP-23.0.3.README)\n  * [nerves_heart v0.3.0](https://github.com/nerves-project/nerves_heart/releases/tag/v0.3.0)\n\n* New features\n  * The `/data` directory now exists for storing application-specific data. It\n    is currently a symlink to `/root`. Using `/data` will eventually be\n    encouraged over `/root` even though currently there is no advantage. This\n    change makes it possible to start migrating paths in applications and\n    libraries.\n\n* Fixes\n  * Fixed old references to the `-Os` compiler flag. All C/C++ code will default\n    to using `-O2` now.","ref":"changelog.html#v1-12-2"},{"type":"extras","title":"v1.12.1 - Changelog","doc":"* Fixes\n  * Remove `nerves_system_linter` from hex package. This fixes mix dependency\n    errors in projects that reference systems with different\n    `nerves_system_linter` dependency specs.","ref":"changelog.html#v1-12-1"},{"type":"extras","title":"v1.12.0 - Changelog","doc":"This release updates the system to use Buildroot 2020.05 and Erlang/OTP 23.\nPlease see the respective release notes for updates and deprecations in both\nprojects for changes that may affect your application.\n\n* New features\n  * Support the Raspberry Pi Sense HAT's joystick\n  * Enable WiFi mesh support in the 802.11 stack\n\n* Updated dependencies\n  * [nerves_system_br v1.12.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.12.0)\n  * [Erlang/OTP 23.0.2](https://erlang.org/download/OTP-23.0.2.README)\n  * [Linux 4.19.118 (Raspberry Pi 1.2020601 tag)](https://github.com/raspberrypi/linux/tree/raspberrypi-kernel_1.20200601-1)\n  * [Raspberry Pi firmware 1.2020601](https://github.com/raspberrypi/firmware/tree/1.20200601)","ref":"changelog.html#v1-12-0"},{"type":"extras","title":"v1.11.3 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.11.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.11.4)\n  * Erlang 22.3.4.1\n  * fwup 1.7.0","ref":"changelog.html#v1-11-3"},{"type":"extras","title":"v1.11.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.11.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.11.2)\n  * Erlang 22.3.1\n  * erlinit 1.7.0 - tty initialization support\n  * fwup 1.6.0 - xdelta3/VCDIFF patch support\n  * Enable unixodbc so that Erlang's odbc application can be used in projects","ref":"changelog.html#v1-11-2"},{"type":"extras","title":"v1.11.1 - Changelog","doc":"This release updates the Linux configuration to match changes in the latest\nRaspberry Pi kernel configuration for the Raspberry Pi 4. If you have made\na custom system, the following kernel configuration changes may affect you:\n\n```\n+CONFIG_CPUFREQ_DT=y\n+CONFIG_ARM_RASPBERRYPI_CPUFREQ=y\n+# CONFIG_ARM_BCM2835_CPUFREQ is not set\n+CONFIG_RPIVID_MEM=m\n+CONFIG_REGULATOR_FIXED_VOLTAGE=y\n+CONFIG_DRM_V3D=m\n+CONFIG_CLK_RASPBERRYPI=y\n```\n\n* Bug fixes\n  * Fixed regulator kernel configuration setting that prevented booting\n    sometimes (this was a \"not sure how this ever worked\" kind of bug)","ref":"changelog.html#v1-11-1"},{"type":"extras","title":"v1.11.0 - Changelog","doc":"This release updates Buildroot to 2020.02 and upgrades gcc from 8.3 to 9.2.\nWhile this is a minor version bump due to the Buildroot release update, barring\nadvanced usage of Nerves, this is a straightforward update from v1.10.2.\n\n* Updated dependencies\n  * [nerves_system_br v1.11.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.11.0)\n  * linux 4.19.97 (raspberrypi-kernel_1.20200212-1 tag)\n  * Erlang 22.2.8","ref":"changelog.html#v1-11-0"},{"type":"extras","title":"v1.10.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.10.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.10.2)\n  * Erlang 22.2.4","ref":"changelog.html#v1-10-2"},{"type":"extras","title":"v1.10.1 - Changelog","doc":"* Enhancements\n  * Set `expand=true` on the application data partition. This will only take\n    effect for users running the complete task, fwup will not expand application\n    data partitions that exist during upgrade tasks.\n\n* Updated dependencies\n  * [nerves_system_br v1.10.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.10.1)\n  * Erlang 22.2.3","ref":"changelog.html#v1-10-1"},{"type":"extras","title":"v1.10.0 - Changelog","doc":"This release updates Buildroot to 2019.11 with security and bug fix updates\nacross Linux packages. Enables dnsd, udhcpd and ifconfig in the default\nBusybox configuration to support `vintage_net` and `vintage_net_wizard`.\nSee the `nerves_system_br` notes for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.10.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.10.0)\n  * Erlang 22.1.8","ref":"changelog.html#v1-10-0"},{"type":"extras","title":"v1.9.2 - Changelog","doc":"This release updates Buildroot to 2019.08.2 with security and bug fix updates\nacross Linux packages. See the `nerves_system_br` notes for details.\nErlang/OTP is now at 22.1.7.\n\n* Updated dependencies\n  * [nerves_system_br v1.9.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.9.5)","ref":"changelog.html#v1-9-2"},{"type":"extras","title":"v1.9.1 - Changelog","doc":"This release pulls in security and bug fix updates from `nerves_system_br`.\nErlang/OTP is now at 22.1.1.\n\nIMPORTANT: The IEx prompt was being output on the UART. This was inconsistent\nwith other Nerves/Raspberry Pi systems and has been fixed. If you want to\nuse the UART, you'll need to override the `erlinit.config` file.\n\n* Bug fixes\n  * Default to displaying the iex prompt on the HDMI port like the other\n    Raspberry Pi systems\n  * Compile in the I2C drivers so they're available early on for NervesKey and\n    other use at initialization\n\n* Updated dependencies\n  * [nerves_system_br v1.9.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.9.4)\n  * linux - update to the raspberrypi-kernel_1.20190925-1 tag","ref":"changelog.html#v1-9-1"},{"type":"extras","title":"v1.9.0 - Changelog","doc":"NOTE: bootcode.bin is not used by the RPi 4 and is no longer built.\n  If updating a fork of this project, be sure to remove references to it from\n  your fwup.conf. See\n  https://www.raspberrypi.org/documentation/hardware/raspberrypi/booteeprom.md\n\nThis release updates Buildroot to 2019.08 with security and bug fix updates\nacross Linux packages. See the `nerves_system_br` notes for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.9.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.9.2)\n\n* Enhancements\n  * Support a variety of USB->UART adapters so more devices work out-of-the-box","ref":"changelog.html#v1-9-0"},{"type":"extras","title":"v1.8.2 - Changelog","doc":"This release fixes an issue that broke display output on small LCD screens.\nUpdating the Raspberry Pi firmware to the latest from the Raspberry Pi\nFoundation fixed the issue. See\nhttps://github.com/fhunleth/rpi_fb_capture/issues/2 for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.8.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.8.5)","ref":"changelog.html#v1-8-2"},{"type":"extras","title":"v1.8.1 - Changelog","doc":"This is the initial Nerves System release for the Raspberry Pi 4. It's version\ncorresponds to other Nerves System releases for Raspberry Pi's for ease of\nreferring to version numbers.\n\nWhile similar looking, the Raspberry Pi 4 has some significant differences with\nother Raspberry Pis. The following functionality appears to work so far:\n\n1. Support for up to 4 GB of DRAM (1 GB and 2 GB versions supported too)\n2. I2C, SPI, and GPIO - The RPi 4 has additional pin mux options. They have not\n   been tested.\n3. The primary UART has not been redirected away from the Bluetooth module. This\n   is useful for using BLE with the Harald library, but is different from the\n   other RPi defaults\n4. The Pi Camera and Raspberry Pi Foundation 7\" Touchscreen both work\n5. Gigabit Ethernet works\n6. WiFi appears to work\n7. USB 3 devices\n\nThe following major features have not been tested:\n\n1. OpenGL support and HDMI output\n2. USB Gadget mode via the USB C connector (the gadget drivers are currently\n   enabled, though)\n\nAdditionally, the Raspberry Pi 4 port uses 32-bit mode on the ARM even though\nthe processor supports 64-bit usage. 64-bit usage didn't build when tried and\nthe Raspberry Pi Foundation promotes 32-bit usage so that's what's used here.\n\n* Primary constituent project versions\n  * Erlang 22.0.7\n  * [nerves_system_br v1.8.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.8.4)\n  * [nerves_toolchain_arm_unknown_linux_gnueabihf v1.2.0](https://github.com/nerves-project/toolchains/releases/tag/v1.2.0)","ref":"changelog.html#v1-8-1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}